%global	install_loc	%{_datadir}/eclipse/dropins/%{name}
%global	install_loc_sdk	%{_datadir}/eclipse/dropins/%{name}-sdk

%global jsf_tag			201309181648
%global jsf_dir			webtools.jsf-%{jsf_tag}

Name:		eclipse-wtp-jsf
Version:	3.5.1
Release:	1%{?dist}
Summary:	Tools for building JSF-based, web-enabled applications

Group:		Development/Libraries
License:	EPL
URL:		http://www.eclipse.org/webtools/jsf/main.php

Source0:	http://git.eclipse.org/c/jsf/webtools.jsf.git/snapshot/%{jsf_dir}.tar.bz2

BuildArch:	noarch

BuildRequires:	eclipse-emf >= 2.9.1
BuildRequires:	eclipse-emf-core >= 2.9.1
BuildRequires:	eclipse-emf-sdk >= 2.9.1
BuildRequires:	eclipse-gef >= 3.9.0
BuildRequires:	eclipse-jdt >= 4.3.1
BuildRequires:	eclipse-pde >= 4.3.1
BuildRequires:	eclipse-platform >= 4.3.1
BuildRequires:	eclipse-rcp >= 4.3.1
BuildRequires:	eclipse-swt >= 4.3.1
BuildRequires:	eclipse-wtp-common >= 3.5.1
BuildRequires:	eclipse-wtp-jeetools >= 3.5.1
BuildRequires:	eclipse-wtp-servertools >= 3.5.1
BuildRequires:	eclipse-wtp-sourceediting >= 3.5.1
BuildRequires:	glassfish-jsp-api >= 2.2.1
BuildRequires:	java-devel
BuildRequires:	jpackage-utils

Requires:	eclipse-emf >= 2.9.1
Requires:	eclipse-emf-core >= 2.9.1
Requires:	eclipse-emf-sdk >= 2.9.1
Requires:	eclipse-gef >= 3.9.0
Requires:	eclipse-jdt >= 4.3.1
Requires:	eclipse-platform >= 4.3.1
Requires:	eclipse-rcp >= 4.3.1
Requires:	eclipse-swt >= 4.3.1
Requires:	eclipse-wtp-common >= 3.5.1
Requires:	eclipse-wtp-jeetools >= 3.5.1
Requires:	eclipse-wtp-servertools >= 3.5.1
Requires:	eclipse-wtp-sourceediting >= 3.5.1
Requires:	glassfish-jsp-api >= 2.2.1
Requires:	java
Requires:	jpackage-utils

%description
The JSF Tools Project adds comprehensive support to the Eclipse Web Tools
Platform Project to simplify development and deployment of JavaServer Faces
(JSF) applications. The project provides an extensible tooling infrastructure
and exemplary tools for building JSF-based, web-enabled applications.

%package	sdk
Summary:	SDK for Eclipse Webtools JSF
Requires:	java-javadoc
Requires:	eclipse-pde >= 4.2.0
Requires:	%{name} >= %{version}-%{release}

%description	sdk
Documentation and source for %{name}

%prep
%setup -q -n %{jsf_dir}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# Remove problematic org.eclipse.license stuff
find -name feature.xml -type f -exec sed -i -e 's/license-feature="org.eclipse.license"//g' {} \;


%build
eclipse-pdebuild -f org.eclipse.jsf.feature -d "wtp-sourceediting emf emf-sdk eclipse-wtp-common wtp-jeetools org.eclipse.jst.server_ui.feature gef"
eclipse-pdebuild -f org.eclipse.jsf_sdk.feature -d "wtp-sourceediting emf eclipse-wtp-common wtp-jeetools org.eclipse.jst.server_ui.feature gef"
eclipse-pdebuild -f org.eclipse.jst.webpageeditor.feature -d "wtp-sourceediting emf eclipse-wtp-common wtp-jeetools org.eclipse.jst.server_ui.feature gef"
eclipse-pdebuild -f org.eclipse.jst.webpageeditor_sdk.feature -d "wtp-sourceediting emf eclipse-wtp-common wtp-jeetools org.eclipse.jst.server_ui.feature gef"
eclipse-pdebuild -f org.eclipse.jst.jsf.apache.trinidad.tagsupport.feature -d "wtp-sourceediting emf eclipse-wtp-common wtp-jeetools org.eclipse.jst.server_ui.feature gef"
eclipse-pdebuild -f org.eclipse.jst.jsf.apache.trinidad.tagsupport_sdk.feature -d "wtp-sourceediting emf eclipse-wtp-common wtp-jeetools org.eclipse.jst.server_ui.feature gef"


%install
install -d -m 755 %{buildroot}%{install_loc}
install -d -m 755 %{buildroot}%{install_loc_sdk}

%{__unzip} -q -d %{buildroot}%{install_loc} \
    build/rpmBuild/org.eclipse.jsf.feature.zip
%{__unzip} -q -d %{buildroot}%{install_loc} \
    build/rpmBuild/org.eclipse.jst.webpageeditor.feature.zip
%{__unzip} -q -d %{buildroot}%{install_loc} \
    build/rpmBuild/org.eclipse.jst.jsf.apache.trinidad.tagsupport.feature.zip

%{__unzip} -q -d %{buildroot}%{install_loc_sdk} \
    build/rpmBuild/org.eclipse.jsf_sdk.feature.zip
%{__unzip} -q -d %{buildroot}%{install_loc_sdk} \
    build/rpmBuild/org.eclipse.jst.webpageeditor_sdk.feature.zip
%{__unzip} -q -d %{buildroot}%{install_loc_sdk} \
    build/rpmBuild/org.eclipse.jst.jsf.apache.trinidad.tagsupport_sdk.feature.zip


%files
%{install_loc}
%doc jsf/features/org.eclipse.jsf.feature/sourceTemplatePlugin/license.html

%files sdk
%{install_loc_sdk}
%doc jsf/features/org.eclipse.jsf.feature/sourceTemplatePlugin/license.html


%changelog
* Sat Oct 12 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.5.1-1
- Update to latest upstream version 3.5.1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 24 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.5.0-1
- Update to latest upstream version 3.5.0

* Tue May 21 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.5.0-0.1
- Start building from upstream master branches in anticipation for 3.5.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 03 2012 Gerard Ryan <galileo@fedoraproject.org> - 3.4.1-1
- Update to upstream 3.4.1.
- Change location for source retrieval to git.eclipse.org.

* Sat Jul 21 2012 Gerard Ryan <galileo@fedoraproject.org> - 3.4.0-2
- Add sdk features.

* Sat Jul 21 2012 Gerard Ryan <galileo@fedoraproject.org> - 3.4.0-1
- Initial packaging.
